## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global python3_pkgversion 3.11

%global pkgname pygit2

Name:           python%{python3_pkgversion}-%{pkgname}
Version:        1.14.0
Release:        %autorelease
Summary:        Python bindings for libgit2

License:        GPL-2.0-only WITH GCC-exception-2.0
URL:            https://www.pygit2.org/
Source0:        https://github.com/libgit2/pygit2/archive/v%{version}.tar.gz#/%{pkgname}-%{version}.tar.gz
Patch0:         python%{python3_pkgversion}-pygit2-transfer-size.patch
# This patch lowers the Python-level dependency on cffi. Fedora package python-cffi-1.15.1-5 and
# higher contain the patches needed for Python >= 3.12.
# Remove when cffi >= 1.16.0 is available on all releases with Python 3.12.
Patch1:         python%{python3_pkgversion}-pygit2-cffiver.patch
# mock (by default) and koji builds never have network access, but testing
# that capability through a DNS resolution is not always accurate.
# Forcefully disable all network tests to avoid unnecessary build failures.
Patch2:         python%{python3_pkgversion}-pygit2-network-tests.patch
# Fix/work around non-deterministic test behavior on s390x
# https://github.com/libgit2/pygit2/pull/1283
Patch3:         0001-Relax-transfer-bytes-check-even-more.patch

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  (libgit2-devel >= 1.7.0 with libgit2-devel < 1.8.0)
BuildRequires:  python%{python3_pkgversion}-cffi
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-wheel
%py_provides python%{python3_pkgversion}-%{pkgname}


%description
pygit2 is a set of Python bindings to the libgit2 library, which implements
the core of Git.


%prep
%autosetup -n %{pkgname}-%{version} -p1


%build
%py3_build


%install
%py3_install
find %{_builddir} -name '.buildinfo' -print -delete


%check
# https://github.com/libgit2/pygit2/issues/812
%ifarch ppc64 s390x
  %pytest -k "not test_no_context_lines"
%else
  %pytest
%endif


%files
%license COPYING
%doc README.md
%{python3_sitearch}/%{pkgname}-*.egg-info/
%{python3_sitearch}/%{pkgname}/


%changelog
## START: Generated by rpmautospec
* Mon Mar 18 2024 Nils Philippsen <nils@redhat.com> - 1.14.0-1
- Import package
## END: Generated by rpmautospec
